Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.information
Interface IInformationProvider

public interface IInformationProvider

Provides information related to the content of a text viewer.

In order to provide backward compatibility for clients of `IInformationPresenter`, extension interfaces are used to provide a means of evolution. The following extension interfaces exist:

- `IInformationProviderExtension` since version 2.1 introducing the ability to handle documents with multiple partitions
- `IInformationProviderExtension2` since version 3.0 introducing the ability to handle documents with multiple partitions

Clients may implement this interface.

Since:
  2.0
See Also:
  `ITextViewer`

Method Summary
`String` | `getInformation(ITextViewer textViewer, IRegion subject)` Deprecated. As of 2.1, replaced by `IInformationProviderExtension.getInformation2(ITextViewer, IRegion)`
`IRegion` | `getSubject(ITextViewer textViewer, int offset)` Returns the region of the text viewer's document close to the given offset that contains a subject about which information can be provided.

Method Detail

### getSubject

    public IRegion getSubject(ITextViewer textViewer,
                              int offset)

  Returns the region of the text viewer's document close to the given offset that contains a subject about which information can be provided.

  For example, if information can be provided on a per code block basis, the offset should be used to find the enclosing code block and the source range of the block should be returned.

  Parameters:
    `textViewer` - the text viewer in which information has been requested
    `offset` - the offset at which information has been requested
  Returns:
    the region of the text viewer's document containing the information subject

### getInformation

    public String getInformation(ITextViewer textViewer,
                                 IRegion subject)

  Deprecated. As of 2.1, replaced by `IInformationProviderExtension.getInformation2(ITextViewer, IRegion)`

  Returns the information about the given subject or `null` if no information is available. It depends on the concrete configuration in which format the information is to be provided. For example, information presented in an information control displaying HTML, should be provided in HTML.

  Parameters:
    `textViewer` - the viewer in whose document the subject is contained
    `subject` - the text region constituting the information subject
  Returns:
    the information about the subject
  See Also:
    `IInformationPresenter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.